
Redmine - Defect #4100

Line break Missing in Wiki

2009-10-24 00:02 - Adam Anderson

Status: Closed Start date: 2009-10-23

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Wiki Estimated time: 0.00 hour

Target version:    

Resolution: Cant reproduce Affected version: 0.8.5

Description

While editing my wiki my page is setup as follows:

page title

tile

a paragraph of text

title2

another paragraph worth of text blah blah blah

blah blah blah blah blah blah blah blah blah blah

blah blah blah blah blah

then some preformatted text

some more text between    

here's the problem

no matter how many carriage returns I put between the normal text and

the headline3 they don't appear.

Even weirder if you put any text on the carriage return lines between them they get added to the last line of text.

History

#1 - 2009-10-24 13:18 - Jean-Philippe Lang

no matter how many carriage returns I put between the normal text and

the headline3 they don't appear.

 This is how it is supposed to work.

Even weirder if you put any text on the carriage return lines between them they get added to the last line of text.

 I don't understand, please give an example.

#2 - 2009-10-29 05:05 - Adam Anderson

What I Mean is that the text above

title2

another paragraph worth of text blah blah blah

blah blah blah blah blah blah blah blah blah blah

blah blah blah blah blah
then some preformatted text

some more text between

here's the problem

 Is setup like this

h2. title2

another paragraph worth of text blah blah blah

blah blah blah blah blah blah blah blah blah blah

blah blah blah blah blah

<pre>

then some preformatted text

</pre>

some more text between

h3. here's the problem

 no matter how many spaces I put between the text and the headline 3 no space is created in the document and if I do this

h2. title2

another paragraph worth of text blah blah blah

blah blah blah blah blah blah blah blah blah blah

blah blah blah blah blah

<pre>

then some preformatted text

</pre>

some more text between

added extra text

h3. here's the problem

 It comes out like it appears in the original issue except "added extra text" is added on to the end of "some more text between" line like this "some

more text betweenadded extra text" and again no matter how many spaces are between these lines of text no spaces are present in the wiki page.

Also if you add more lines of text they all get added onto the line before the headline3. does this clarify it a bit better?

#3 - 2009-11-13 19:18 - Jean-Philippe Lang

- Status changed from New to Closed

- Resolution set to Cant reproduce

no matter how many spaces I put between the text and the headline 3 no space is created in the document

 This is the desired behaviour

It comes out like it appears in the original issue except "added extra text" is added on to the end of "some more text between" line like this "some

more text betweenadded extra text" and again no matter how many spaces are between these lines of text no spaces are present in the wiki

page. Also if you add more lines of text they all get added onto the line before the headline3. does this clarify it a bit better?

 It does clarify but I can't reproduce with either 0.8-stable or current trunk.

See below what it gives:

title2

another paragraph worth of text blah blah blah

blah blah blah blah blah blah blah blah blah blah

blah blah blah blah blah

then some preformatted text

2025-05-17 2/3



 some more text between

added extra text

here's the problem
